Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Trusted Contributor
Posts: 184
Registered: ‎11-26-2010
My Device: Not Specified

Re: Project not working properly on new OS 7.0

Mark, thanks a lot for your reply!

 

"Ok, can you try downloading a newer simulator and let me know the results.  You can get them from the Simulator Downoload page."

 

Things are really secured at my work place, you would have been aware of these big corporate secutiry. It will be a time consuming process, but I would like to share an info, me and my colleague are using the same net.rim.componentpack.7.1.0 we copied it from another PC. It is working fine on his PC.

 

"I'd be interested to see the results when launching from the IDE as well as launching from the batch file in the simulator's installation directory."

 

If I understood you corectlly, launching from Batch file is, is it starting the Simulator and loading the project manually?

 

A Y.

BlackBerry Development Advisor
Posts: 15,117
Registered: ‎07-09-2008
My Device: BlackBerry Passport
My Carrier: Bell

Re: Project not working properly on new OS 7.0


avi_yach wrote:

Mark, thanks a lot for your reply!

 

If I understood you corectlly, launching from Batch file is, is it starting the Simulator and loading the project manually?

 

A Y.


Yes that is correct.

 

I don't recommend installing the SDKs by copying the files from one machine to another.  Are you able to download using the update site or is that locked down too?  Could you try the full installer for BlackBery Java Plug-in 1.5.2, which includes BlackBerry Java SDK version 7.1? You can download that here:  https://developer.blackberry.com/java/download/eclipse

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Trusted Contributor
Posts: 184
Registered: ‎11-26-2010
My Device: Not Specified

Re: Project not working properly on new OS 7.0

[ Edited ]

Mark, thanks a lot for your reply! :smileyhappy: I tried that method to, no luck! :smileysad:

 

"Are you able to download using the update site or is that locked down too?"

Yes, it is blocked! It is not possible for my grade! :smileysad:

 

A Y.

Developer
Posts: 78
Registered: ‎05-17-2012
My Device: 9900 - OS 7.0 Torch device
My Carrier: Reliance

Re: Project not working properly on new OS 7.0

hi,
You have made could points to be observed. If your PC OS is windows 7 related, OS itself will take 1 GB around and simulator takes 1 GB RAM more. While running both, you can't run any other applications like browsers, docs.....etc and you can't expect that your simulator works fine in this scenario.

You are saying that there is no luck for upgrade, Instead of upgrade, somehow you need to install OS7.0 packages in your pc in C program files through which you can access your data through any other eclipse versions.

Suggestions: 1. You better to upgrade your RAM
2. Somehow install the OS7.0 packages in PC

Like this, there are multiple things may cause to get crash your simulator. I think Msimon has spent a good amount of time with you. Its really great that these guys are helping us in a good manner.
Trusted Contributor
Posts: 184
Registered: ‎11-26-2010
My Device: Not Specified

Re: Project not working properly on new OS 7.0

vjkmr, true! I have kept the first option under conideration, but it would be great if folks from Blackberry comes up System requirement required for developing the latest SDK. I made some descent search before posting here, I didin't come across any, please do share it if there is any offcial page!

 

True, Mark has helped me a lot in understanding the issue, though I have not found the solution now, I will find one and keep this thread posted!

 

 A Y.

:smileyhappy:

BlackBerry Development Advisor
Posts: 15,117
Registered: ‎07-09-2008
My Device: BlackBerry Passport
My Carrier: Bell

Re: Project not working properly on new OS 7.0

The system requirements can be found here:  https://developer.blackberry.com/java/download/requirements/

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Trusted Contributor
Posts: 184
Registered: ‎11-26-2010
My Device: Not Specified

Re: Project not working properly on new OS 7.0

Thanks a lot Mark! Now I can put a upgrade request confidently!! 

 

A Y.

:smileyhappy: